function [ means, vars ] = predictSequence_win( posI, posO, dt, n, frameStart, frameEnd, files )
	if nargin < 7
		files.fileInX = '/tmp/gpCaus_inputX.txt';
		files.fileInY = '/tmp/gpCaus_inputY.txt';
		files.fileOutX = '/tmp/gpCaus_outputX.txt';
		files.fileOutY = '/tmp/gpCaus_outputY.txt';
		files.fileModelX = '/tmp/gpCaus_modelX.gp';
		files.fileModelY = '/tmp/gpCaus_modelY.gp';
	end
	
	[d, len] = size(posO);

	skip1 = max(n, n + dt);
	skip2 = max(0, -dt - 1);

	if nargin < 6
		frameEnd = len - skip2;
	end
	if nargin < 5
		frameStart = 4+skip1;
	end
	
	frameEnd = min(frameEnd, len - skip2);
	
	means = zeros(d, frameEnd - frameStart + 1);
	vars = zeros(d, frameEnd - frameStart + 1);
	
	SO = zeros(n*d, len - skip1 - skip2);
	for i = 1:n
		SO((i-1)*d+1:i*d, :) = posO(:, 1+skip1-i:len-skip2-i);
	end

	SI = zeros(n*d, len - skip1 - skip2);
	for i = 1:n
		SI((i-1)*d+1:i*d, :) = posI(:, 1+skip1-dt-i:len-skip2-dt-i);
	end


	T = posO(:, skip1+1:len);

	S = [SO; SI];

	fprintf('frame #  0');
	for f = frameStart:frameEnd

		current = f - skip1;
		first = max(1, current - 100);
		s = S(:, first:current-1);
		t = T(:, first:current-1);

		[~] = evalc('GPtrain(s, t, files)');

		sTest = S(:, current);
		[tTest, uncTest] = GPpredict(sTest, files);

		means(:, f - frameStart + 1) = tTest;
		vars(:, f - frameStart + 1) = uncTest;
		
		fprintf('\b\b\b%3d', f);
	end
	fprintf('\n');
	
end
